/* Emperor - an X windows strategy game for 1-6 players
   Copyright (C) 1998 Frank Rustemeyer.
   This file is part of the Emperor package.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.

   If you have changes and you want them to be included in a future
   release of Emperor, please e-mail them to mambres@mud.tap.de.

   This file is the main() function. Basically, it just creates a
   mainwndw object and starts the application.

   98/11/30, Frank Rustemeyer <mambres@mud.tap.de>: Released.
   00/06/11, Frank Rustemeyer <mambres@mud.tap.de>: ported to QT
*/

#include <qapplication.h>

#include "empx.h"

int main(int argc, char **argv)
{   
    QApplication app(argc, argv);

    mainwndw mainw;  // create main window

    app.setMainWidget(&mainw);
//    app.connect(&app, SIGNAL(lastWindowClosed()), &app, SLOT(quit()));
   
    return app.exec();
    }
